{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",

    "command": "make",
    "showOutput": "always",
    
    "tasks": [
        {
            "taskName": "build",
            "type": "shell",
            "args": [
                "all",
                "-j8"
            ],
            "problemMatcher": [
                "$gcc"
            ]
        },
        {
            "taskName": "clean",
            "type": "shell",
            "args": [
                "clean"
            ],
            "problemMatcher": []
        }
    ]
}